Skip to content

Get Transaction Details For Custom Currency

Endpoint

GET https://api.mycactus.dev/custody/v1/api/projects/{b_id}/wallets/{wallet_code}/customize-flow
GET https://api.mycactus.com/custody/v1/api/projects/{b_id}/wallets/{wallet_code}/customize-flow

Parameters

Path Parameters

FieldTypeDescription
b_id
Required
LongBusiness line ID
wallet_code
Required
StringWallet ID

Query Parameters

FieldTypeDescription
tx_types
Optional
String[]Business type
contract_addresses
Optional
String[]Addresses
chains
Optional
String[]Cactus chain name
Allowed Value: Refer to Network Symbol column in Supported Token
offset
Optional
Integer0 by default
limit
Optional
Integer10 by default
start_time
Optional
LongStart timestamp (0 by default)
end_time
Optional
LongEnd timestamp (current time by default)

Response

Response Body

FieldTypeDescription
codeIntegerResponse code (0 = success)
messageStringResponse message
successfulBooleanWhether the request was successful
dataObjectSee data object details below

data (object)

FieldTypeDescription
offsetIntegerOffset
limitIntegerLimit
totalIntegerTotal number of records
listObject[]List of custom currency transactions (see list object details below)

list (object)

FieldTypeDescription
idIntegerRecord ID
bidStringBusiness line ID
wallet_codeStringWallet ID
wallet_nameStringWallet name
coin_nameStringAsset name
full_nameStringAsset full name
chainStringChain name
contract_addressStringContract address
order_noStringOrder ID
block_heightLongBlock height
block_hashStringBlock hash
tx_idStringTransaction hash
tx_typeStringBusiness type
Allowed values: WITHDRAW, DEPOSIT
amountDecimalAmount
amount_strStringAmount in string format
gas_priceDecimalGas price (ETH series)
gas_price_strStringGas price in string format (ETH series)
gas_limitDecimalGas limit (ETH series)
gas_limit_strStringGas limit in string format (ETH series)
tx_feeDecimalTransaction fee
tx_fee_strStringTransaction fee in string format
positionLongPosition
accountStringSystem account address
counterpartyStringCounterparty external address
tx_statusStringTransaction status
Allowed values: unconfirmed, confirmed
tx_time_stampLongTransaction timestamp
token_idStringReturn only when the transaction involves an NFT; otherwise null.
nft_contract_nameStringNFT contract name. Return only when the transaction involves an NFT; otherwise null.

Response Example

{
  "code": 0,
  "message": "",
  "data": {
    "offset": 0,
    "limit": 10,
    "list": [
      {
        "id": 2348,
        "bid": "a3de9b7c703e4762974a1df7aafe724f",
        "order_no": "D996885000803",
        "chain": "ETH",
        "contract_address": "0x326c977e6efc84e512bb9c30f76e30c160ed06fb",
        "block_height": 10566734,
        "block_hash": "0xc030f12ca2c0d349f7abd248206a6c2f18e92cfce9ab39bfbc42fe1788ad606e",
        "tx_id": "0xb8d3224010a7bdb33b57e98f233041d7d44850753b846d6b74c7835dabd2a656",
        "position": 39,
        "tx_type": "WITHDRAW",
        "amount": 100000000000000000,
        "amount_str": "100000000000000000",
        "tx_status": "confirmed",
        "account": "0xcE514DB8670f4FE46caA1c4086625b5538D460D0",
        "counterparty": "0x7B476100344Ff29df272778dc417D8DEbb11d896",
        "gas_price": 140,
        "gas_price_str": "140",
        "gas_limit": 42065,
        "gas_limit_str": "42065",
        "tx_fee": 4857160,
        "tx_fee_str": "4857160",
        "wallet_code": "DeFiEVM8600875528",
        "wallet_name": "",
        "coin_name": "LINK",
        "full_name": "ChainLink Token",
        "token_id": "",
        "nft_contract_name": null,
        "tx_time_stamp": 1708416000000
      }
    ],
    "total": 1
  },
  "successful": true
}